<template>
    <q-item class="q-pa-md" clickable v-ripple :to="to">
        <q-item-section>
            <q-item-label>
                {{ floor.name }}
            </q-item-label>
            <q-item-label caption lines="2">
                {{ floor.id }}
            </q-item-label>
        </q-item-section>

        <q-item-section side top>
            <q-item-label caption>{{ floor.timeZone }}</q-item-label>
        </q-item-section>
    </q-item>
</template>

<style lang='scss' scoped>

</style>

<script lang='ts'>
import {Component, Prop, Vue} from 'vue-property-decorator';
import {FloorPrincipalResponse} from "src/classLibrary/APIModels/core/floorPrincipalResponse";


@Component
export default class FloorItem extends Vue {
    @Prop() floor!: FloorPrincipalResponse
    @Prop() to!: string;

}
</script>
